=== debian/changelog ===
dde-application-manager (1.2.15) unstable; urgency=medium

  * release 1.2.15

 -- Mike Chen <chenke@deepin.org>  Wed, 10 Jul 2024 13:09:51 +0800

dde-application-manager (1.2.14) unstable; urgency=medium

  * release 1.2.14

 -- Mike Chen <chenke@deepin.org>  Wed, 05 Jun 2024 16:35:00 +0800

dde-application-manager (1.2.13) unstable; urgency=medium

  * chore: set apps quit timeout to 3s (https://github.com/linuxdeepin/developer-center/issues/8554)

 -- zsien <quezhiyong@deepin.org>  Wed, 15 May 2024 09:54:55 +0800

dde-application-manager (1.2.12) unstable; urgency=medium

  * release 1.2.12

 -- Mike Chen <chenke@deepin.org>  Tue, 14 May 2024 21:00:43 +0800

dde-application-manager (1.2.11) unstable; urgency=medium

  * release 1.2.11

 -- Mike Chen <chenke@deepin.org>  Sat, 11 May 2024 15:28:44 +0800

dde-application-manager (1.2.10) unstable; urgency=medium

  * fix: crashed when launching a application contains "%U" 
  * fix: revert "crashed when removing a invalid index"

 -- Wang Fei <wangfei@deepin.org>  Fri, 10 May 2024 15:18:39 +0800

dde-application-manager (1.2.9) unstable; urgency=medium

  * fix: dman display nothing

 -- Wang Fei <wangfei@deepin.org>  Thu, 09 May 2024 16:30:30 +0800

dde-application-manager (1.2.8) unstable; urgency=medium

  * release 1.2.8

 -- Mike Chen <chenke@deepin.org>  Tue, 07 May 2024 09:38:22 +0800

dde-application-manager (1.2.7) unstable; urgency=medium

  * feat: Add a hook and wrap all applications in the hook script to start

 -- Zhang kun <zhangkun2@uniontech.com>  Mon, 29 Apr 2024 15:59:14 +0800

dde-application-manager (1.2.6) unstable; urgency=medium

  * feat: Can emit correct remove signal when uninstalling applications patched by deepin-deb-fix

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 26 Apr 2024 16:35:29 +0800

dde-application-manager (1.2.5) unstable; urgency=medium

  * fix: Return correct mimetype and default app for directories
  * fix: dde-open file failed

 -- dengbo <dengbo@deepin.org>  Tue, 23 Apr 2024 13:54:57 +0800

dde-application-manager (1.2.4) unstable; urgency=medium

  * fix: missing package parsed when ReloadApplicaitons(Issue: https://github.com/linuxdeepin/developer-center/issues/7830)
  * fix: self start setting failed(Issue: https://github.com/linuxdeepin/developer-center/issues/7637)

 -- Zhang kun <zhangkun2@uniontech.com>  Wed, 17 Apr 2024 11:41:02 +0800

dde-application-manager (1.2.3) unstable; urgency=medium

  * fix #7733

 -- Mike Chen <chenke@deepin.org>  Wed, 03 Apr 2024 14:49:14 +0800

dde-application-manager (1.2.2) unstable; urgency=medium

  * feat: add dde-am tool to launch application

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 18:05:10 +0800

dde-application-manager (1.2.1) unstable; urgency=medium

  * fix: gtk app scaled size too big(#7528)
  * chore: add doc describing the behavior of processing exec key
  * chore: update README.md

 -- Mike Chen <chenke@deepin.org>  Mon, 18 Mar 2024 17:18:13 +0800

dde-application-manager (1.2.0) unstable; urgency=medium

  * fix: incorrect scale factor has been set in qt application which load dxcb platform plugin
  * fix: correct launchoptions
  * feat: add GIO_LAUNCHED_DESKTOP_FILE to runtime envs
  * fix: the signal is triggered repeatedly
  * refact: remove processguesser1service
  * feat: add property `LaunchedTimes`
  * feat: set systemd.unit's property `CollectMode` to failed-or-inactive
  * chore: correct typo

 -- He YuMing <heyuming@deepin.org>  Thu, 07 Mar 2024 14:36:10 +0800

dde-application-manager (1.1.9) unstable; urgency=medium

  * feat: add filesystem watcher for reloading applications
  * feat: add app-identifier for convenient
  * refact: suppress warnings and standardize project
  * fix: support ExecSearchPath to prevent systemd from not finding binaries
  * feat: set more scale envs to application

 -- He YuMing <heyuming@deepin.org>  Thu, 22 Feb 2024 15:57:18 +0800

dde-application-manager (1.1.8) unstable; urgency=medium

  * refact: unit test for Job
  * fix: correct autostart source
  * feat: Compatible with URL arguments

 -- He YuMing <heyuming@deepin.org>  Wed, 24 Jan 2024 09:57:50 +0800

dde-application-manager (1.1.7) unstable; urgency=medium

  * fix: call scanMimeInfo and scanAutostart when reloadApplications

 -- He YuMing <heyuming@deepin.org>  Wed, 10 Jan 2024 10:52:16 +0800

dde-application-manager (1.1.6) unstable; urgency=medium

  * refact: scanAutostart and get/set autostart
  * fix: call scanMimeInfo and scanAutostart when reloadApplications
  * fix: append env 'scaleFactor' to deepin-wine application

 -- He YuMing <heyuming@deepin.org>  Fri, 05 Jan 2024 16:21:57 +0800

dde-application-manager (1.1.5) unstable; urgency=medium

  * fix: update location after insertion
  * refact: assuming all applications have been
    launched during AM create storage at first time

 -- He YuMing <heyuming@deepin.org>  Tue, 26 Dec 2023 09:47:20 +0800

dde-application-manager (1.1.4) unstable; urgency=medium

  * release 1.1.4 for Qt 6.6

 -- He YuMing <heyuming@deepin.org>  Wed, 22 Nov 2023 09:32:34 +0800

dde-application-manager (1.1.3) unstable; urgency=medium

  * fix: update infos after app was launched
  * refact: Autostart
  * refact: add some checks
  * fix: prevent invalid unitName cause AM crashed.
  * fix: incorrect behavior of processguesser1service

 -- He YuMing <heyuming@deepin.org>  Thu, 16 Nov 2023 15:39:26 +0800

dde-application-manager (1.1.2) unstable; urgency=medium

  * release 1.1.2 for misc fixup.

 -- He YuMing <heyuming@deepin.org>  Tue, 07 Nov 2023 13:08:59 +0800

dde-application-manager (1.1.1) unstable; urgency=medium

  * release 1.1.1 for api package

 -- He YuMing <heyuming@deepin.org>  Thu, 02 Nov 2023 14:46:23 +0800

dde-application-manager (1.1.0) unstable; urgency=medium

  * release 1.1.0, replace old Application Manager.

 -- He YuMing <heyuming@deepin.org>  Thu, 19 Oct 2023 17:09:46 +0800

dde-application-manager (0.3.0) unstable; urgency=medium


