=== apps/CMakeLists.txt ===
add_subdirectory(dde-application-manager)
add_subdirectory(app-launch-helper)
add_subdirectory(app-update-notifier)
add_subdirectory(app-identifier)
add_subdirectory(dde-am)
