=== debian/changelog ===
dde-application-manager (1.2.16+deepin0+rb1) unstable; urgency=medium

  * release 1.2.16

 -- tsic404 <liuheng@deepin.org>  Thu, 10 Oct 2024 15:34:38 +0800
