## dde-application-manager 1.2.27

=== examples/CMakeLists.txt ===
add_subdirectory(launchApp)
