=== debian/changelog ===
dde-application-manager (1.2.27) unstable; urgency=medium

  * fix: convert file:// to local path

 -- heyuming <heyuming@deepin.org>  Thu, 10 Apr 2025 16:52:52 +0800

dde-application-manager (1.2.26) unstable; urgency=medium

  * fix: abnormal splitting of parameters enclosed in quotation marks in Exec

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 14 Mar 2025 22:25:23 +0800

dde-application-manager (1.2.25) unstable; urgency=medium

  * release 1.2.25

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 17 Feb 2025 15:36:43 +0800

dde-application-manager (1.2.24) unstable; urgency=medium

  * release 1.2.24

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 23 Jan 2025 17:33:30 +0800

dde-application-manager (1.2.23) unstable; urgency=medium

  * release 1.2.23

 -- ComixHe <heyuming@deepin.org>  Tue, 14 Jan 2025 10:14:54 +0800

dde-application-manager (1.2.22) unstable; urgency=medium

  * release 1.2.22

 -- ChengqiE <echengqi@uniontech.com>  Fri, 10 Jan 2025 14:50:33 +080

dde-application-manager (1.2.21) unstable; urgency=medium

  * release 1.2.21

 -- ChengqiE <echengqi@deepin.org>  Tue, 24 Dec 2024 15:28:38 +080

dde-application-manager (1.2.20) unstable; urgency=medium

  * release 1.2.20

 -- ChengqiE <echengqi@deepin.org>  Fri, 13 Dec 2024 15:28:38 +080

dde-application-manager (1.2.19) unstable; urgency=medium

  * release 1.2.19

 -- ChengqiE <echengqi@deepin.org>  Fri, 6 Dec 2024 14:55:38 +0800

dde-application-manager (1.2.18) unstable; urgency=medium

  * release 1.2.18

 -- ChengqiE <echengqi@deepin.org>  Tue, 26 Nov 2024 09:04:38 +0800

dde-application-manager (1.2.17) unstable; urgency=medium

  * release 1.2.17

 -- ECQZXC <echengqi@deepin.org>  Thu, 31 Oct 2024 15:04:38 +0800

dde-application-manager (1.2.16) unstable; urgency=medium

  * release 1.2.16

 -- tsic404 <liuheng@deepin.org>  Thu, 10 Oct 2024 15:34:38 +0800
