## dde-application-manager 1.2.28

=== apps/app-update-notifier/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(misc)
