=== debian/changelog ===
dde-application-manager (1.2.28) unstable; urgency=medium

  * revert the change that validate and remove broken desktop file symlinks

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 17 Apr 2025 17:27:00 +0800
