## dde-application-manager 1.2.31

=== debian/changelog ===
dde-application-manager (1.2.31) unstable; urgency=medium

  * fix: spaces in desktop id can cause app failed to launch

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 10:12:23 +0800

dde-application-manager (1.2.30) unstable; urgency=medium

  * fix: Fix unit name error when launch with parameters

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 12 Jun 2025 20:56:12 +0800

dde-application-manager (1.2.29) unstable; urgency=medium

  * fix: when reboot,none-autostart app is incorrectly set to a auto-start icon 
  * feat: Add GenericName handling to DesktopFileGenerator 
  * fix: return value for empty GenericName map in desktop file generator 

 -- Wu Jiangyu <wujiangyu@uniontech.com>  Thu, 05 Jun 2025 16:27:04 +0800
