=== debian/changelog ===
dde-application-manager (1.2.33) unstable; urgency=medium

  * feat: update dde-am tool

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 10 Jul 2025 21:06:51 +0800

dde-application-manager (1.2.32) unstable; urgency=medium

  * fix: add hardening flags to Debian build rules
  * fix: Fix timing issue in ApplicationManager1Service::Identify using
    pidfd_send_signal validation

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:54:43 +0800
