=== debian/changelog ===
dde-application-manager (1.2.37) unstable; urgency=medium

  * refactor: unify XDG directory path handling with merged directory
    functions
  * chore: update license from LGPL to GPL

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:06 +0800

dde-application-manager (1.2.36) unstable; urgency=medium

  * feat: add system autostart directory support

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:45:45 +0800

dde-application-manager (1.2.35) unstable; urgency=medium

  * fix(autostart): Simplify autostart validation and improve
    reliability

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 04 Sep 2025 17:34:29 +0800
