## dde-application-manager 1.2.45

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,9 +22,13 @@
 set(DDE_AM_USE_DEBUG_DBUS_NAME OFF CACHE BOOL "build a dbus service using a different bus name for debug.")
 set(PROFILING_MODE OFF CACHE BOOL "run a valgrind performance profiling.")
 
-find_package(Qt6 REQUIRED COMPONENTS Core DBus Concurrent)
+find_package(Qt6 REQUIRED COMPONENTS Core DBus Concurrent WaylandClient Gui)
+if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
+    find_package(Qt6 COMPONENTS WaylandClientPrivate REQUIRED)
+endif()
 find_package(Dtk6 REQUIRED COMPONENTS Core)
 find_package(Threads REQUIRED)
+find_package(TreelandProtocols REQUIRED)
 
 set(APP_LAUNCH_HELPER_BIN app-launch-helper)
 set(APP_UPDATE_NOTIFIER_BIN app-update-notifier)
