=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 add_subdirectory(app-update-notifier)
 add_subdirectory(app-identifier)
 add_subdirectory(dde-am)
+add_subdirectory(dde-autostart)
