=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,30 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/app-DDE-.service.d/override.conf
 )
 
-set(SERVICE_DEST_PATH ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/)
+set(SERVICE_DEST_PATH ${CMAKE_INSTALL_PREFIX}/lib/systemd/user)
 
 install(FILES ${SYSTEMD_USER_FILE} DESTINATION ${SERVICE_DEST_PATH})
 install(FILES ${SYSTEMD_USER_DROP_IN_FILE} DESTINATION ${SERVICE_DEST_PATH}/app-DDE-.service.d)
 
 # create a symlink to dde-session
-install_symlink(org.desktopspec.ApplicationManager1.service dde-session-initialized.target.wants)
+install_symlink(org.desktopspec.ApplicationManager1.service dde-session-core.target.wants)
+
+# dde-autostart service
+configure_file(
+    systemd/user/dde-autostart.service.in
+    systemd/user/dde-autostart.service
+    @ONLY
+)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/dde-autostart.service DESTINATION ${SERVICE_DEST_PATH})
+install_symlink(dde-autostart.service dde-session.target.wants)
+
+configure_file(
+    systemd/user/dde-autostart@quick-login.service.in
+    systemd/user/dde-autostart@quick-login.service
+    @ONLY
+)
+# just install file, not install symlink, because it will be executed by quick-login
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/dde-autostart@quick-login.service DESTINATION ${SERVICE_DEST_PATH})
 
 # # dbus activate
 configure_file(
