=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 target_include_directories(${BIN_NAME} PRIVATE
     ${PROJECT_BINARY_DIR}/
+    ${PROJECT_BINARY_DIR}/src/dbus
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
@@ -23,4 +24,4 @@
 )
 
 include(GoogleTest)
-gtest_discover_tests(${BIN_NAME} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests)
+gtest_discover_tests(${BIN_NAME} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
