=== apps/dde-am/src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 add_executable(${BIN_NAME} main.cpp
     launcher.h launcher.cpp
+    commandexecutor.h commandexecutor.cpp
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
