=== debian/changelog ===
dde-application-manager (1.2.45) unstable; urgency=medium

  * fix: update systemd service dependencies for ApplicationManager1
  * feat: dde-am resolve command to full path before execution

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Feb 2026 19:26:36 +0800

dde-application-manager (1.2.44) unstable; urgency=medium

  * refactor: fix most compiler and clazy warnings
  * test: fix relative paths in test cases
  * fix(build): change working directory of gtest_discovery_tests
  * fix(build): remove trailing slash in SERVICE_DEST_PATH to resolve
    CMP0177

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 Jan 2026 20:22:56 +0800

dde-application-manager (1.2.43) unstable; urgency=medium

  * fix: add MIME info change detection and reload
  * fix: set DSG_APP_ID to prevent self-identification deadlock
  * fix: Fix Linglong upgrade repeatedly sending remove signal
  * fix: cmake error about WaylandClientPrivate not found (#319)

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 23 Jan 2026 10:25:56 +0800

dde-application-manager (1.2.42) unstable; urgency=medium

  * feat: add command execution support to dde-am
  * feat: add autostart launch option to suppress splash screen
  * chore: harden systemd service security
  * feat(app-launch-helper): normalize ExecSearchPath before sending to
    D-Bus
  * fix: use valid object path for executeCommand return value

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 25 Dec 2025 19:30:00 +0800

dde-application-manager (1.2.41) unstable; urgency=medium

  * fix: Avoid autostart service being executed twice

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 19 Dec 2025 14:25:06 +0800

dde-application-manager (1.2.40) unstable; urgency=medium

  * fix: remove DPKG_EXPORT_BUILDFLAGS flag
  * feat: support Path key in desktop file
  * fix: address multiple code review issues
  * refactor: migrate from QScopedPointer to std::unique_ptr
  * chore: update build dependencies for wayland support
  * fix: add wayland buffer release handling
  * fix: improve prelaunch splash helper memory management
  * feat: add application icon support to prelaunch splash
  * refactor: improve Wayland detection and splash protocol
  * chore: add qt6-wayland-dev to build dependencies
  * feat: add Wayland prelaunch splash screen support

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 18 Dec 2025 19:47:08 +0800

dde-application-manager (1.2.39) unstable; urgency=medium

  * feat: api for run non-app commands
  * docs: add package manager hook documentation and security fixes
  * fix: avoid wordexp escape two dollar sign in file name

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 11 Dec 2025 20:32:13 +0800

dde-application-manager (1.2.38) unstable; urgency=medium

  * feat: support quick login autostart
  * feat: implement dde-autostart service

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 27 Nov 2025 17:26:36 +0800
