=== debian/control ===
--- 
+++ 
@@ -9,6 +9,11 @@
  qt6-base-dev,
  libdtkcommon-dev,
  libdtk6core-dev,
+ treeland-protocols,
+ qt6-wayland-dev,
+ qt6-base-private-dev,
+ qt6-wayland-private-dev,
+ libxkbcommon-dev,
 Standards-Version: 4.5.0
 Homepage: https://github.com/linuxdeepin/dde-application-manager
