=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-DPKG_EXPORT_BUILDFLAGS = 1
+
 include /usr/share/dpkg/default.mk
 export QT_SELECT = qt6
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
